Linuxiarze.pl Forum

Dystrybucje Linux => Arch => Wątek zaczęty przez: ciubaka w Maj 09, 2021, 10:54:39 am

Tytuł: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Maj 09, 2021, 10:54:39 am
Dzień dobry.
Niedawno stałem się szczęśliwym posiadaczem systemu Arch Xfce na moim nowym/starym laptopie.
Instalowałem przy pomocy Anarchy, po niewielkich , opisywanych w innym wątku problemach udało się to wykonać.
System działa, jest ładny i sprawny, nawet cocnieco udało mi się tam doinstalować, bo 'Anarchizowałem golasa".
No właśnie - conieco, i tu zaczyna się problem.
Robiłem to przy pomocy aplikacji Pakiety, w trybie graficznym.
Ale ostatnio chciałem dodać przeglądarkę Atril i menadżera Conky.
I Pakiety pokazują mi, że w obie rzeczy tam są, a w dostępnych programach ich nie widzę.
W przypadku Atril kliknąłem w Pakiety na Usuń, a potem po usunięciu na Zainstaluj i działa.
Conky też pokazuje taką możliwość.
Ale to proces żmudny i wydaje mi się - bezsensowny.
No bo skoro coś jest to dlaczego żeby to uruchomić muszę najpierrw odinstalować a potem z powrotem zainstalować?
Stąd pytanie - czy jest jakiś lepszy graficzny instalator pakietów dla Archa, coś w stylu na przykład Gnome Software Center czy Apptus w innych dystrybucjach?
Czy też skazany jestem na konsolę i Pacmana?
Zwłaszcza że Pakiety i Aktualizacja pakietów za każdym razem ostrzegają mnie, że tryb graficzny jest niebezpieczny i może uszkodzić system.
Ale - po co wtedy w ogóle są dostępne?
To moje początki z Archem (Manjaro i Antegros to jednak co innego), nie chciałbym odkrywać Ameryki ani przegryzać się przez tony literatury źródłowej.
Byłbym wdzięczny za jakąś podpowiedź.
Z góry dziękuję i pozdrawiam.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 09, 2021, 11:52:47 am
Nie wiem co to jest "Pakiety" i "aktualizacja pakietów", ale - jeśli dobrze wiem - to w Archu czegoś takiego nie ma, a zatem pociągnęło z innych repozytoriów. Osobiście uważam, że absolutnie najlepszym i niezawodnym sposobem instalacji paczek w Archu "ze wszystkiego" jest pak (github.com/polaur/new-branded/pak). Spośród graficznych mogę jedynie polecić octopi; jest w repozytorium chaotic-aur i tak będzie Ci to najłatwiej zainstalować. Oryginalnie jest w AUR i wymaga to kompilacji. Wprawdzie jest to na Qt, ale nie zawodzi. Nt. pamac (z którego być może pochodzą owe "Pakiety") nie będę się wypowiadać, bowiem jest to program z Manjaro. Powinien działać dobrze, ale czy tak jest - nie wiem. Mam dość ograniczone zaufanie do manjarowych produktów.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Maj 09, 2021, 09:13:55 pm
Dziękuję.
Zapoznam się zatem z octopi.
Albo przekonam się do pacmana.
W sumie to raptem kilka komend, może ogarnę.
Paka zostawiam sobie na potem.
Manjarowych rzeczy nie używam, miałem Manjaro trzykrotnie i jak to mówią - do trzech razy sztuka.
Stykło mi, tak jak i innych linuxów na M.
Aplikacje Pakiety i Aktualizacja pakietów były od początku, może weszły z Anarchy, którym instalowałem system.
Instalator był OK, więc inne rzeczy też powinny.
Moze jeszcze czegoś nie rozumiem, może się dowiem, może Kolega Robert podpowie.
On jak by nie było - jest tu magikiem od Anarchii :-)
Dziękuję Pawle za podpowiedź.
Pozdrawiam.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 09, 2021, 09:16:57 pm
PAK zrobi jedną rzecz: nie dopuści do tzw. częściowej aktualizacji. Naprawdę polecam.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Maj 09, 2021, 10:35:01 pm
Ale ostatnio chciałem dodać przeglądarkę Atril i menadżera Conky.
Conky manager od dawna jest bezużyteczny (od kiedy w conky obowiązuje nowa składnia), proponuje zbudować conky-manager2 z AUR
https://aur.archlinux.org/packages/conky-manager2-git/ (https://aur.archlinux.org/packages/conky-manager2-git/)
A jeżeli chodzi o managera paczek, to używam pamac-classic z repa chaotic-aur.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: sovtware w Maj 10, 2021, 08:12:13 am
(https://imgur.com/4Voyhvi.png)

Zainstaluj sobie Pamac orginalny w Archu i jest super
dziwę się że zainstalowałeś sobie Archa z Anarchy nie znam tego więc nie wiem czy to w 100% orginalny Arch

polecili mi u nas na chacie Calam-Arch-Installer tak też zrobiłem orginalny Arch tylko ze ta wersja ma instalator graficzny który działa tak jak w Manjaro czy w Ubuntu  :)
po instalacji masz wszystko pozdrawiam

Ja się już nie bawię w dysbrytucje bazujące na ....
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: rzax666 w Maj 10, 2021, 10:08:06 am
pamac-manager - dziala raczej srednio w sensie "stabilnosci"
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 10, 2021, 10:15:05 am
Gwoli wyjaśnienia: pamac (żaden) nie jest "orginalny w Archu" - zob.: https://archlinux.org/packages/?q=pamac (https://archlinux.org/packages/?q=pamac). Pamac był, jest i będzie rozwijany przez Manjaro. O ile wiem, to paczki instaluje z pominięciem pacmana, opierając się wyłącznie na libalpm. I tu zachodzi dla mnie pytanie na ile dobrze ta biblioteka została w pamac podpięta. Z pozytywnych rzeczy oceniam w nim wymuszenie aktualizacji przy instalacji paczek.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Maj 10, 2021, 11:44:29 am
Chciałbym dodać że pamaca nie używam do instalacji paczek, a w szczególności nie aktualizuje nim systemu, od tego mam konsolowego pak i pacman. Pamaca mam w systemie po to aby ewentualnie sprawdzić jakie paczki są dostępne w Archu, i jeszcze można nim sprawdzić które to paczki zostały osierocone, lub wylądowały w AUR.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 10, 2021, 12:58:15 pm
Pamaca mam w systemie po to aby ewentualnie sprawdzić jakie paczki są dostępne w Archu, i jeszcze można nim sprawdzić które to paczki zostały osierocone, lub wylądowały w AUR.
W tym celu można też używać pkgbrowser (aktualnie w AUR).
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Maj 10, 2021, 02:00:44 pm
Ok, zatem spróbuję od octopi, a potem się zobaczy. Dziękuję za podpowiedzi. Pamac faktycznie tylko do podglądania, co jest dostępne. Pozdrawiam.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: LinGruby w Maj 10, 2021, 02:56:36 pm
pamac to pierwsza rzecz która wylatuje wszędzie tam gdzie instaluję na szybko Arch'a ( z jakiego instalatora graficznego )...
instaluję octopi ( jakby dana osoba nie poradziła sobie w terminalu z aktualizacjami ( instalowaniem paczek )...

osobiście tylko pak i nic więcej nie pamiętam kiedy stricte używałem pacman 😉
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: sovtware w Maj 11, 2021, 09:21:03 am
mogę prosić o wytłumaczenie dlaczeo nie Pamac ja go mam orginalnie w Archu po instalacji i nim wszystko zainstalowałem i robię aktualizację czyżby jakieś błedy mogą wystapić przy aktualizacjach czy co ?
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: rzax666 w Maj 11, 2021, 09:30:19 am
https://gitlab.manjaro.org/applications/pamac/-/blob/master/src/manager_window.vala
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 11, 2021, 09:30:37 am
@sovtware - Pamac "oryginalnie po instalacji" Archa w nim nie istnieje. Nie ma go nawet w repozytoriach Archa. Musiałeś zainstalować jakiś fork Archa, a to nie to samo.
Nie wiem, czy błędy w pamac są, czy ich nie ma, bo sam go nie używam. Jednak z lektury innych forów mogę wyciągnąć wnioski, że co najmniej w kilku przypadkach dawał "dziwne" efekty. Chcesz, używaj - absolutnie nikt Ci tego nie zabroni. Jednakże nie jest to aplikacja rozwijana z myślą o Archu, a o innej dystrybucji, z którą łączy go wyłącznie to, że jest częściowo oparty o pakiety Archa oraz do budowy paczek wykorzystuje makepkg, a także to, że pacman może tymi paczkami zarządzać. Manjaro jest jednakże (przynajmniej tzw. stabilna wersja) nieco spóźnione względem Archa, a zatem wykorzystywanie pamac w Archu zawsze będzie pewnym powrotem do przeszłości. Dla mnie to wystarczający powód, by nie oddawać zarządzania paczkami w moim systemie narzędziu, które nie zostało stworzone z myślą o mojej dystrybucji.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Maj 11, 2021, 11:18:57 am
Rozpętałem tę dyskusję, więc ją podsumuję.
Pamac już mi wywalał Manjaro, nie będę nim aktualizował i wgrywał oprogramowania.
Spróbuję Octopi i napiszę co mi wyszło.
Jakoś tak boję się Pak-a, już chyba wolę Pacmana.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 11, 2021, 11:38:15 am
Gwoli ścisłości: pak to skrypt, który umożliwia automatyzację niemal wszystkich czynności związanych z zarządzaniem paczkami w Archu, przy czym wykorzystuje wyłącznie narzędzia, które w Archu są dostępne (jedno bodaj jest z AUR). W szczególności umożliwia ustawianie aktualnych repozytoriów (wykorzystuje reflector), aktualizacje systemu i instalowanie paczek (w zakresie repozytoriów - po prostu korzysta z pacmana), instalację i aktualizację paczek z AUR i POLAUR, czyszczenie pozostałości po budowie paczek, sprawdzanie czy istnieją nowsze wersje paczek instalowanych z VCS, pozwala na informowanie o dostępnych nowych wersjach paczek zarówno z repozytoriów, jak i z AUR i wiele, wiele innych. Zaletą jest, że nie doprowadza do tzw. częściowej aktualizacji systemu. Do pełnej funkcjonalności wymaga zainstalowania opcjonalnych zależności (i to nie jest błąd, że nie są one automatycznie instalowane). Jest rozwijany w ramach polskiej społeczności Archa, ale jego twórcą jest @nycko.

Octopi? Po prostu działa. Zobacz sobie dokładnie jego opcjonalne zależności, bo znacznie rozszerzą możliwości tego programu.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: sovtware w Maj 11, 2021, 03:08:18 pm
Calam-Arch-Installer
to instalowałem na swoim laptopie

(https://imgur.com/2B9TG3M.png)

(https://imgur.com/WDZz4r5.png)

(https://imgur.com/CW1Gra7.png)

więc chyba mam orginalnego Archa :)

dobrze poczytam na googlach jakie są menedżery pakietów jak któryś mi spasuje zainstaluję pozdrawiam
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Maj 11, 2021, 03:53:01 pm
A ja mam tak

(https://i.postimg.cc/xdzK5XJk/Przechwycenie-obrazu-ekranu-2021-05-11-15-47-24.png)

Mimo że to nie jest "czysty" Arch, tylko zainstalowany przy pomocy anarchyinstaller.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 11, 2021, 05:01:03 pm
@sovtware - To jak Ci się system zgłasza, to jest jedynie konsekwencja zapisu w jednym pliku tekstowym. Mam Archa, ale nie mam problemu z tym, by zgłosił się jako np. pavaranov-super-hiper-duper-linux. Calarm-Arch-Installer to jest coś co instaluje Archa za pomocą Calamares. Musi jednakże różnić się od Archa choćby tym, że udostępnia mu jakieś repozytoria nieoficjalne, skoro zainstalował Ci pamac lub też musi ten program mieć już skompilowany w liveiso i ten przenosi podczas instalacji (zdaje się, że tak się też dzieje: https://sourceforge.net/projects/blue-arch-installer/files/arch-installer/ (https://sourceforge.net/projects/blue-arch-installer/files/arch-installer/)). Pamac nie występuje w oficjalnych repozytoriach Archa.

Jeśli chodzi o szukanie w "Google" menedżerów paczek dla Archa, to lepiej sięgnąć po jego wiki: https://wiki.archlinux.org/title/Pacman/Tips_and_tricks#Utilities (https://wiki.archlinux.org/title/Pacman/Tips_and_tricks#Utilities). W tej liście brakuje m.in. octopi, a czegokolwiek opartego o PackageKit nie polecam.
I jeszcze jedno - niektóre spośród menedżerów paczek dodają repozytoria flatpak, czy nawet snap. Sens korzystania z tego typu wynalazków w Archu jest dla mnie mocno wątpliwy, a problemy, które się rodzą - zwłaszcza dla osób, które dopiero z Archem zaczynają pracę - nie są warte pójścia w tę stronę.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Maj 11, 2021, 08:52:31 pm
A u mnie wystąpił problem. Octopi nie chce się dać zainstalować, ani z repozytoriów, ani z dysku po ściągnięciu pliku tar.gz. Pamac zresztą też. Nawet p7zip nie poszedł pacmanem. Terminal tytułuje mnie root@anarchy. Pierun wie o co w tym chodzi... Coś mam skopane chyba z repozytoriami, albo instalacja się nie  do końca powiodła jednak :-(
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 11, 2021, 09:58:18 pm
Powinieneś już wiedzieć, że stwierdzenie "nie chce się dać zainstalować" kompletnie nic nie mówi. Co Ci się nie chce zainstalować? Paczka binarna? Jeśli tak, to skąd pobierana i jaki dokładnie jest komunikat? W repozytorium Archa tej paczki nie ma. Jest np. w chaotic-aur, ale jej rozszerzenie obecnie to pkg.tar.zst (niegdyś pkg.tar.xz). Rozszerzenie tar.gz wskazuje raczej na to, że ściągnąłeś źródła budowy paczki z AUR, a tego pacmanem nie zainstalujesz.  Paczka p7zip jest w repozytorium - jaką komendę dałeś i jaką to daje odpowiedź? Nie pamiętam jak winien się nazywać komputer po instalacji via anarchyinstaller, ale root@anarchy wskazuje, że pracujesz na roocie, a chyba nie o to chodzi. Ten instalator robi dokładnie to, czego sobie życzy użytkownik, a zatem efekt końcowy jest na 99,99% zależny tylko od użytkownika.
PS: Przeczytałeś na wiki Archa choćby podstawy zarządzania paczkami w Archu?
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Maj 11, 2021, 10:19:44 pm
Terminal tytułuje mnie root@anarchy. Pierun wie o co w tym chodzi... Coś mam skopane chyba z repozytoriami, albo instalacja się nie  do końca powiodła jednak :-(
Wygląda na to że uruchamiasz system na prawach roota, powodem tego jest że podczas instalacji nie dodałeś nowego użytkownika. A przecież tłumaczyłem że podczas instalacji anarchyinstaller trzeba dokładnie czytać. Nic, pozostaje Ci na nowo stawiać system.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 11, 2021, 10:43:32 pm
Nic, pozostaje Ci na nowo stawiać system.
Od kiedy to, by dodać nowego użytkownika do systemu trzeba na nowo system stawiać???
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Maj 11, 2021, 10:55:16 pm
Od kiedy to, by dodać nowego użytkownika do systemu trzeba na nowo system stawiać???
No, masz rację, trochę się zagalopowałem  :)
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: rzax666 w Maj 11, 2021, 11:39:53 pm
dzis w czasach bezprwia o roota trzeba walczyc a tu sam root? cos musialo nabank pujsc mozno nie tak ...
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Maj 11, 2021, 11:43:22 pm
Oj chyba ja go jednak nie za dobrze postawiłem. Bo konto mam jedynie root. I byłoby pewnie fajnie, jak we windzie, Że wszystko zrobić można, byleby z ostrożna. Ale w archu - nie bardzo chyba, przemyślę Wasze uwagi Koledzy :-(
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 11, 2021, 11:57:37 pm
@ciubaka - Pewnie, że w Archu można - wszak to linux, a ten na root raczej działać będzie (tak długo jak go nie zepsujesz). Nie będą działać niektóre programy z GUI (mają po prostu blokadę). Pomijam zdrowy rozsądek, który nakazuje nie działać na tym koncie, kiedy to nie jest potrzebne.
Instalację przeszedłeś - nie utworzyłeś użytkownika itd., ale to nie problem (nawet się nauczysz czegoś, jeśli jeszcze nie wiesz). Obawiam się jednak, że dla Ciebie - skoro to świeża zabawka i jeśli nie chcesz się doktoryzować - najprościej będzie ściągnąć jakiegoś Calarm-Arch-Installer (bodaj ze 3 ostatnio się wymodziły), EndeavourOS, czy GarudaOS. Ten ostatni wprowadza pewne zmiany w ustawieniach parametrów np. kernela, ale większość i tak je ustawia, bo zwiększają wydajność. Ponoć nie jest zalecany dla maszyn wirtualnych. Każde z nich zainstalujesz prościej niż anarchyinstaller, choć... cóż, także i tu czytać trzeba. Na wirtualce mam teraz EndeavourOS i w zasadzie ze spokojem mogę to polecić.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Maj 12, 2021, 12:33:37 am
@ciubaka
Gdybyś chciał jednak jeszcze raz spróbować zainstalować anarchy, to tutaj masz wyszczególnione etapy instalacji
https://www.maketecheasier.com/anarchy-linux-review/ (https://www.maketecheasier.com/anarchy-linux-review/)
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Maj 26, 2021, 09:15:55 am
Kończąc ten wątek - miałem źle postawionego Archa, był tylko root, a on nie współpracuje ze wszystkimi możliwościami systemu. Wgrałem od nowa, z użytkownikiem zwykłym, dograłem chaotic-aur, Octopi i jestem zadowolony. Nawet bardzo. Aplikacja Pakiety dogrywana domyślnie przez Anarchy to właśnie zdaje się być pamac-classic, chociaż na moje oko wygląda inaczej (ale mogło się zmienić, bo dawno już zarzuciłem Manjaro i nie wiem co oni tam wymyślają). W związku z tym nie używam już Pakietów, tylko Octopi lub pacmana i jest super. Jak znajde czas i trochę zapału to popróbuję paka. Zdrowia wszystkim życzę.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 26, 2021, 10:25:56 am
Ta aplikacja, to raczej jest "współczesny" pamac (nie classic). Mniejsza o to, zasadnicza różnica, o ile pamiętam, to classic jest nakładką GUI tego samego typu jak Octopi, zaś "współczesny" pamac, to nakładka bezpośrednio na libalpm i bodaj jakiegoś aur-wrappera.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Maj 26, 2021, 11:30:17 am
Aplikacja Pakiety dogrywana domyślnie przez Anarchy to właśnie zdaje się być pamac-classic, chociaż na moje oko wygląda inaczej
To nie jest żaden pamac-classic, tylko gnome-packagekit, który do niczego się nadaje. Radzę go wywalić z systemu.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 26, 2021, 02:12:20 pm
Jeśli jest tak, jak pisze Robert - to w istocie jak najszybciej wywalić z systemu i zapomnieć. Bo:
Warning: PackageKit opens up system permissions by default, and is otherwise not recommended for general usage. See FS#50459 and FS#57943.
(...)
    GNOME PackageKit — GTK 3 package manager using PackageKit written in C.

    https://freedesktop.org/software/PackageKit/ || gnome-packagekit
Gwoli ścisłości, z tego samego powodu dla mnie nie do przyjęcia są:
- Apper
- Deepin App Store
- Discover
- GNOME Software
Tak, wiem, że wygodne. I co z tego.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Maj 26, 2021, 03:03:53 pm
Powiem szczerze, że ja pamac-classica przeinstalowywałem już trzykrotnie. I w końcu gdzieś w jakimś opisie czegoś tam znalazłem, że to właśnie jest aplikacja Pakiety. Ale nie pamiętam już gdzie. Może i nawet sama mi się zgłaszała jak ją wyszukiwałem w liście aplikacji. Bo pamac jako pamac nie jest tam nadal widoczny. Nieważne, mam octopi i nie muszę już z niczego innego korzystać. Notabene, wynalazłem że jest inna ciekawa pochodna archa (nie garuda, bo to dla mnie jest na razie experyment) - archman. Z opisu wygląda ciekawie, ma octopi z defaultu, jakieś inne wodotryski też. Tylko pytanie powtórne - po co mi ona skoro arch działa :-)
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Maj 26, 2021, 03:29:56 pm
Pamac jest pod nazwą dodawanie/usuwanie oprogramowania. A tak swoja drogą to zgłosiłem na gitlabie, po kiego groma instalowany jest gnome-packagekit podczas instalacji anarchy
https://gitlab.com/anarchyinstaller/installer/-/issues/139 (https://gitlab.com/anarchyinstaller/installer/-/issues/139)
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Maj 26, 2021, 03:32:42 pm
Tak na szybko - instalowana przez anarchyinstaller "wersja" Archa nie powinna zawierać pamac (w dowolnej wersji), albowiem nie instaluje ona niczego z AUR ani też nie dodaje żadnego repozytorium, gdzie taka paczka się znajduje i sam - jeśli dobrze widzę - też jej nie zawiera. Skoro tak, może to być tylko coś z oficjalnego repozytorium Archa.

Na ostatnie pytanie odpowiedź jest prosta: każda pochodna Archa, która przynosi "uniwersalną" wersję desktopową jest po to, że przez lata wszyscy wmawiają, wszystkim, że Arch jest trudny (bo instalacja, bo po instalacji niczego nie ma, a tak zasadniczo dlatego, że wymaga czytania). Wszystkie te arch-based distro - w tej kategorii - umożliwiają dość prostą instalację (często przez Calamares), dostarczają bazowych aplikacji i tyle. W zamian - niestety - niekiedy tworzą się mniejsze lub większe potworki.

Instalując Octopi trzeba pamiętać o jednej rzeczy: to jest coś, co pochodzi spoza oficjalnych repozytoriów. Niestety bywa, że po zmianach w zależnościach w sposób różny on działa bądź wcale nie działa. Nie zawsze też nowa wersja Octopi pojawia się równolegle z tymi zmianami, a nawet jeśli, to mamy sytuację, w której mamy niedziałające octopi, które może działać, bo nowa wersja jest w AUR, ale tej wersji nie można przez Octopi zainstalować, albowiem Octopi nie działa :) Niekiedy też nowej wersji lub choćby nowego pkgrel albo nie ma w AUR, albo... i tak jej nie zobaczymy, bo Octopi nie działa :)
Stąd też polecam zaznajomienie się z budową paczek z AUR "z łapy" lub zapoznanie się z pak (to takie dziwne narzędzie, które paczkę z AUR zbuduje nawet wówczas, gdy jej nie będzie pokazywać, bo nie ma zainstalowanego auracle).
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: sovtware w Czerwiec 02, 2021, 12:29:47 pm
co to pamac mieliście rację po aktualizacji dwa dni temu przestał u Mnie działać a nic mi innego nie wchodzi do głowy by używać  :-\ poprostu nie podobają mi się inne graficzne programy
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 02, 2021, 12:41:18 pm
Po aktualizacji do pacman 6.0 nie działa chyba żadna nakładka graficzna na pacmana (i nieco tzw. aur-wrapperów/helperów i to niezależnie od tego, czy są one graficzne, czy nie). Ogólnie nie działa wszystko, co wymaga libalpm.so.12.
Nie wiem kiedy zostaną poprawione takie narzędzia jak Octopi, ale w przypadku Pamac, jego deweloper stwierdził, że dostosowanie nie jest proste oraz, że ma obecnie mało czasu na poprawę tego - zob.: https://gitlab.manjaro.org/applications/pamac/-/issues/1047 (https://gitlab.manjaro.org/applications/pamac/-/issues/1047) i https://gitlab.manjaro.org/applications/pamac/-/issues/1048 (https://gitlab.manjaro.org/applications/pamac/-/issues/1048)
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 03, 2021, 12:03:52 am
Chciałem poinformować że octopi-dev już działa. A to za sprawą update alpm_octopi_utils-dev
https://aur.archlinux.org/packages/alpm_octopi_utils-dev/ (https://aur.archlinux.org/packages/alpm_octopi_utils-dev/)
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 03, 2021, 12:32:20 pm
Potwierdzić tylko mogę: octopi już działa prawidłowo, ale należy go zbudować z AUR w wersji "dev". Ta sama wersja np. w chaotic-aur (standardowe repozytorium w przypadku Garuda Linux) jeszcze nie uwzględnia wprowadzonych ostatnio zmian.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: sovtware w Czerwiec 04, 2021, 04:47:02 am
Jednak Arch nie dla mnie  :-\ problem z uruchomieniem aur w pacmanie nawet na Arch Wiki robiłem tak jak piszą i na innych stronach i nic ja daję sobie spokój
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: nycko w Czerwiec 04, 2021, 07:19:33 am
problem z uruchomieniem aur w pacmanie nawet na Arch Wiki robiłem tak jak piszą i na innych stronach i nic ja daję sobie spokój
Wcale się nie dziwię, że miałeś z tym problem, gdyż w pacmanie nie da się "uruchomić aur".
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: LinGruby w Czerwiec 04, 2021, 10:53:24 am
Jednak Arch nie dla mnie  :-\ problem z uruchomieniem aur w pacmanie nawet na Arch Wiki robiłem tak jak piszą i na innych stronach i nic ja daję sobie spokój

od tego jest pak a nie pacman, więc wszystko przed Tobą 😉

a od siebie dodam niema co się tak łatwo poddawać tylko ( "szukać szukać czytać czytać a jak nie znajdziesz odpowiedzi na problem dopiero pytać..." )
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: D35CART35 w Czerwiec 04, 2021, 12:29:13 pm
Potwierdzić tylko mogę: octopi już działa prawidłowo, ale należy go zbudować z AUR w wersji "dev". Ta sama wersja np. w chaotic-aur (standardowe repozytorium w przypadku Garuda Linux) jeszcze nie uwzględnia wprowadzonych ostatnio zmian.
Witam a podpowiesz jak mam go zainstalować po aktualizacji do pacmana6?
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 04, 2021, 01:17:09 pm
Witam a podpowiesz jak mam go zainstalować po aktualizacji do pacmana6?
Najprościej przez trizen
trizen -S octopi-devA trizen już sobie sam dociągnie alpm_octopi_utils-dev.

Oczywiście w pierwszej kolejności musisz zbudować trizen
https://aur.archlinux.org/packages/trizen/ (https://aur.archlinux.org/packages/trizen/)
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 04, 2021, 03:41:44 pm
@D35CART35: Tak jak każdą paczkę z AUR :)
Można też - mając np. pak (na forum tym i forum.archlinux.org.pl instrukcja instalacji): pak -SA alpm_octopi_utils-dev a po instalacji pak -SA octopi-devW ten sposób na pewno zostanie wymuszona instalacja wersji z AUR.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: D35CART35 w Czerwiec 05, 2021, 07:20:29 am
Przy instalacji pkgbuild mam błąd w budowaniu nie za bardzo rozumiem o co chodzi.
usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/../../../../lib/libalpm_octopi_utils.so: undefined reference to `alpm_option_set_arch'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/../../../../lib/libalpm_octopi_utils.so: undefined reference to `alpm_option_get_arch'
collect2: error: ld returned 1 exit status
make: *** [Makefile:523: bin/octopi] Błąd 1
==> BŁĄD: Wystąpił błąd w build().
    Przerywam...
błąd podczas budowania: octopi-dev

To są ostatnie linijki budowania.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 05, 2021, 09:30:38 am
Musisz pokazać całość logów z budowy, by to miało sens. Czym to budujesz? Gdzieś popełniasz jakiś błąd, albowiem alpm_octopi_utils-dev buduje się prawidłowo.
Chyba to również na nowy wątek.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: rzax666 w Czerwiec 05, 2021, 12:16:17 pm
ta bibloteka ma mega dokumentacje  :o a co gorsze nie korzysta z dbusa... co jest dziwne  co najmniej ...
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 05, 2021, 01:10:58 pm
@D35CART35 - Obie paczki mają aktualizację (alpm_octopi_utils do pkgrel 6, octopi do pkgrel 3. Spróbuj teraz.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Czerwiec 05, 2021, 11:42:28 pm
Pytanie 1:
dlaczego nie odinstalować istniejącego octopi i nie zrobić w terminalu sudo pacman -S octopi-dev ?
Odpowiedź 1:
ja tak zrobilem i wygląda że działa. Jeszcze nie wiem czy poprawnie, ale tak jakby działa.
Spostrzeżenie ogólne:
można też to zrobić w tej aplikacji Pakiety, co to niedobra jest, ale ona na to też pozwala.
Pozdrawiam z wieczora. Nasi wlali dwóm mocarstwom w siatę. Fajnie :-)
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 06, 2021, 12:16:17 am
Pytanie 1:
dlaczego nie odinstalować istniejącego octopi i nie zrobić w terminalu sudo pacman -S octopi-dev ?
@D35CART35 najwidoczniej nie używa repa chaotic-aur.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 06, 2021, 06:24:39 am
Pytanie 1:
dlaczego nie odinstalować istniejącego octopi i nie zrobić w terminalu sudo pacman -S octopi-dev ?
Odpowiedzi:
1. Bo moja podpowiedź o konieczności instalacji z AUR była z okresu, kiedy nie było w chaotic-aur wersji działającej z pacman 6.0.
2. Bo w AUR jest już poprawiona w stosunku do chaotic-aur wersja obu paczek.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 06, 2021, 09:30:35 pm
Właśnie, chciałem wyrazić swoje zdumienie. Miałem do zeszłego tygodnia Pamaca. Pokazywał mi informacje o konieczności aktualizacji i łatwo mogłem się zorientować, co mam zainstalowane, a czego nie mam.
Od kilku dni nie dostawałem informacji o gotowych aktualizacjach, więc się zaniepokoiłem. Wpisałem
pak -m
następnie
pak -Syu
i okazało się, że ruszyła ogromna aktualizacja, o której mnie nie poinformował system.
Ponieważ potrzebuję dodać Qbittorrenta wszedłem w [menu/system/dodaj/usuń] programy czyli w Pamaca, i nie ma żadnej reakcji.
Nieprzyjemna niespodzianka. Spróbowałem dodać Qbittorrenta przez [menu/pakiety]. Niby mi zainstalowało, ale jakoś tak niepewnie, że w sumie nie wiem, czy to jest zainstalowane.
Spróbuję zainstalować Qbittorenta PAK-iem, ale mam pietra bo nie pamiętam jak się to robi i gdzie czego szukać.
Pamac był wygodny bo pokazywał wszystko co jest zainstalowane, a co jest niezainstalowane.
Nie bardzo wiem, co mogłoby go zastąpić.
Proszę o sugestie.


Mógłbym może ściągnąć Qbittorrenta i go instalować ręcznie, ale w sumie nie wiem teraz co się stanie, jeśli tam się coś faktycznie zainstalowało.
Próbowałem doinstalować Pamaca  za pomocą [menu/pakiet], ale się chyba nic nie zmieniło.
Jeszcze nie resetowałem komputra ale chyba powinien działać bez resetu?


Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 06, 2021, 09:48:57 pm
Janek, pamac jest w tej chwili mocno nieaktualny, a to za sprawą nowego pacmana.
Proponuje zainstalować octopi-dev (jest w repo chaotic-aur), a jeżeli chcesz mieć powiadomienia o aktualizacjach to dodatkowo musisz doinstalować octopi-notifier-qt5.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 06, 2021, 11:39:54 pm
Janek - przecież masz w tym wątku napisane wszystko. Dodatkowo jeszcze jest tu: https://forum.archlinux.org.pl/viewtopic.php?pid=7160#p7160 (https://forum.archlinux.org.pl/viewtopic.php?pid=7160#p7160).
Obecnie jedyna nakładka GUI, która działa to chyba wyłącznie octopi-dev - najlepiej z AUR, w ostateczności z chaotic-aur. Octopi ma też swoje paczki "notifier", które powiadamiają o aktualizacjach.
Jeśli już o tym ostatnim - skoro używasz pak, to... pak też potrafi to robić i robi bardzo dobrze.
Kiedy pamac będzie działać? Tego nie wie nikt. Ogólnie wówczas, gdy do stable (a przynajmniej testing) Manjaro trafi pacman 6.0.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 07, 2021, 12:31:00 am
@pavbaranov
Jestem trochę przyjezdny, gdyż wróciłem dopiero do Łodzi. Zaraz wrócę do lektury tego problemu bo wyszedłem zbyt wcześnie, wyrzucić tego Pamaca.

Odinstalowałem Pamaca i teraz mam zamiast [dodaj/usuń oprogramowanie] mam [/menu/Aktualizacja pakietów] ale od razu mi powiedziało, że jest jakiś błąd.
Zrobiłem aktualizację przez PAK ale na początku otrzymałem ostrzeżenie:

'ostrzeżenie: plik konfiguracyjny /etc/pacman.conf, linia 34: dyrektywa 'TotalDownload' w sekcji 'options' nie została rozpoznana.'

- po tym ostrzeżeniu aktualizacja przebiegła normalnie.
Czy powinienem coś usunąć ręcznie? Czy to skutek usunięcia Pamaca?
Zrobiłem czyszczenie [pak =ScA]  ale ostrzeżenie znów się pojawiło



Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 07, 2021, 12:39:56 am
@ciubaka
@pavbaranov ma rację. Też bez przekonania podchodziłem do PAK-a ale kilka razy pomógł mi bardzo. Świetnie robi aktualizacje i ma świetnie opracowaną legendę po wpisaniu [pak] i przyklepaniu. Od razu wiadomo jakie polecenie do czego służy i nie potrzeba wpisywać kilometrowych komend jak w przypadku Reflectora.
Przykład aktualizacji mirrors:
w przypadku Reflector polecenie:     [reflector --verbose --latest 5 --sort rate --save /etc/pacman.d/mirrorlist]
w przypadku PAK polecenie : [pak -m]

Aktualizacja w przypadku PAK-a to polecenie [pak -Syu]

Rewelacja. Polecam szczerze.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 07, 2021, 12:56:36 am
@software
@pavbaranov
"Nie wiem, czy błędy w pamac są, czy ich nie ma, bo sam go nie używam. Jednak z lektury innych forów mogę wyciągnąć wnioski, że co najmniej w kilku przypadkach dawał "dziwne" efekty."

Chyba wiem, dlaczego Pamac jesy niedobry do instalacji. Otóż kilkakrotnie zdarzyło mi się, że zainstalowane aplikacje nie chodziły jak trzeba. Okazało się, że Pamac instaluje tylko to co mu sie wskaże, a nie instaluje aplikacji koniecznych do prawidłowego działania pożądanej aplikacji. Ja miałem tak z Zoom-em i jeszcze jakimś programem, że dopiero koledzy mi uświadomili, iż należy sprawdzać, jakich podaplikacji potrzebuje zainstalowana przez Pamaca aplikacja. Sprawdziłem i się okazało, że trzeba było doinstalować po parę paczek. Doinstalowałem również Pamacem, ale sam Pamac o nawet nie wspomniał, że czegoś jeszcze potrzeba.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 07, 2021, 01:28:55 am
@robson75 ; @pavbaranov

w sprawie: "Proponuje zainstalować octopi-dev (jest w repo chaotic-aur), a jeżeli chcesz mieć powiadomienia o aktualizacjach to dodatkowo musisz doinstalować octopi-notifier-qt5."

Dzięki @robson75 . Tak uczynię.
Mam gotowca od @pavbaranova :
pak -SA alpm_octopi_utils-dev

a po instalacji


pak -SA octopi-dev


Dzięki za pomoc.   Pozostaje tylko kwestia komunikatu po komendzie [pak -Syu] Tak jak już pisałem:

Zrobiłem aktualizację przez PAK ale na początku otrzymałem ostrzeżenie:

'ostrzeżenie: plik konfiguracyjny /etc/pacman.conf, linia 34: dyrektywa 'TotalDownload' w sekcji 'options' nie została rozpoznana.'

- po tym ostrzeżeniu aktualizacja przebiegła normalnie.

Cóż to być może?
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 07, 2021, 02:34:50 am
@piejanto - Znów wprowadzasz temat nie w tym wątku, ale niech tam. To, co Ciebie tak nurtuje - nierozpoznane TotalDownload - oznacza, że masz pacman 6.0, ale plik /etc/pacman.conf z pacman 5.x. I dlatego m.in. najlepsze są konsolowe menedżery, bo tu od razu widać, że jakiś plik w systemie został zapisany jako *.pacnew. Należy porównać w takim przypadku stary i ten pacnew i dokonać odpowiedniego scalenia (ze starego przenieść do nowego, to co nas interesuje).
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 07, 2021, 11:33:11 am
'ostrzeżenie: plik konfiguracyjny /etc/pacman.conf, linia 34: dyrektywa 'TotalDownload' w sekcji 'options' nie została rozpoznana.'

- po tym ostrzeżeniu aktualizacja przebiegła normalnie.

Cóż to być może?
Janek, tu masz oryginalny pacman.conf

#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
#HookDir     = /etc/pacman.d/hooks/
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/curl -L -C - -f -o %o %u
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options
#UseSyslog
#Color
#NoProgressBar
CheckSpace
#VerbosePkgLists
#ParallelDownloads = 5

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
SigLevel    = Required DatabaseOptional
LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Arch Linux
# packagers with `pacman-key --populate archlinux`.

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

#[community-testing]
#Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist

#[multilib]
#Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs

I jak widać nie ma w nim opcji TotalDownload, wystarczy to usunąć i problem zniknie.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 07, 2021, 12:28:58 pm

Janek, tu masz oryginalny pacman.conf (...) I jak widać nie ma w nim opcji TotalDownload, wystarczy to usunąć i problem zniknie.
Nie. Nie należy usuwać z dotychczasowego pliku czegokolwiek, a zastosować dostarczony z paczką pacman plik pacman.conf (który w systemie po instalacji będzie nazywać się pacman.conf.pacnew) i ewentualnie - w razie potrzeby - plik ten dostosować do własnych preferencji (np. dodając dodatkowe repozytoria, które dotychczas stosowaliśmy, czy w inny sposób zmieniając go). Pomocne są narzędzia jak diff3 itp. (ja np. korzystam zwykle z kompare, ale prawdopodobnie dla innych środowisk są też i takie, które dla kogoś okażą się wygodne). Po wprowadzeniu pożądanych zmian, należy zmienić nazwę pliku pacman.conf.pacnew na pacman.conf.
Tylko takie działanie daje pewność, że plik konfiguracyjny jest dostosowany do aktualnie znajdującej się w systemie wersji programu, który z niego korzysta.
I uwaga ta dotyczy wszystkich plików konfigurujących (*.conf), które są dostarczane w nowej wersji do systemu (*.conf.pacnew), a generalnie każdej pary plików, która niesie ze sobą nową wersję, która objawia się w systemie z nazwą *.pacnew.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 07, 2021, 12:48:11 pm
Nie. Nie należy usuwać z dotychczasowego pliku czegokolwiek, a zastosować dostarczony z paczką pacman plik pacman.conf
Pawle, a po kiego nieaktywna opcja której brak w nowym pacman.conf? ewentualnie można to za#ować w ten sposób
#TotalDownloadwyłączając tę opcje.
Cytuj
Pomocne są narzędzia jak diff3 itp. (ja np. korzystam zwykle z kompare, ale prawdopodobnie dla innych środowisk są też i takie, które dla kogoś okażą się wygodne).
Mogę polecić diffuse.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 07, 2021, 01:05:56 pm
Nie. Nie należy usuwać z dotychczasowego pliku czegokolwiek, a zastosować dostarczony z paczką pacman plik pacman.conf
Pawle, a po kiego nieaktywna opcja której brak w nowym pacman.conf? ewentualnie można to za#ować w ten sposób
#TotalDownloadwyłączając tę opcje.
Robert - a czy ja gdziekolwiek każę wprowadzać starą (ze starego pliku pacman.conf), a obecnie nieużyteczną już opcję? Dostosować pacnew nie oznacza przepisać na pałę, bez zastanowienia z poprzedniego pliku wszystkiego. Zresztą można i zmienić obecny w systemie pacman.conf wprowadzając tam zmiany takie, jakie widoczne są w pacnew. Ważne, by szkielet pacman.conf był taki, jak w dostarczonym pacman.conf.pacnew, a nie taki jak w dotychczasowym. Wszelkie wpisy oprócz tych, które wskazują na jakieś opcje, na które wpływ może mieć użytkownik/administrator winny być z pacnew.
Moja uwaga po prostu wskazuje na to, że często nie zauważymy w taki sposób, jaki proponujesz, że zmian tych w pacnew jest nieco więcej, albo niezbyt rozgarnięty użytkownik nie zrozumie różnicy pomiędzy obu plikami, która będzie dla niego "niewidoczna". Prosty sposób do wadliwego funkcjonowania systemu.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 07, 2021, 01:30:11 pm
Mnie się wydaję że najlepszym i najszybszym sposobem jest usunięcie starego pacman.conf, a z nowego tylko należy usunąć końcówkę pacnew, i oczywiście dodać do nowego repo chaotic-aur.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 07, 2021, 02:02:07 pm
@Robson75
@pavbaranov

Najprostszym rozwiązaniem jak dla mnie, faktycznie byłoby wyrzucenie starego pacman.conf i wrzucenie nowego, ale... chyba bardziej prawidłowe działanie jest to zaproponowane przez Pawła.

Jak wlazłem w pacman.conf pod Midnight Commanderem, to tam właściwie niczego nie ma w tej sekcji 'TotalDownload'. Zrobiłem zrzut ekranu, ale nie wiem jak go tu zamieścić.

Ten fragment w nowym pacman.conf od @robsona75 wygląda tak:

# Misc options
#UseSyslog
#Color
#NoProgressBar      !!!!!      a u mnie w tym miejscu jest   TotalDownload
CheckSpace
#VerbosePkgLists
#ParallelDownloads = 5      !!!!!    a u mnie w tym miejscu jest   ILoveCandy


Jeszcze jedna różnica to hasztagi. U mnie są tylko przy dwu pierwszych pozycjach.


Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 07, 2021, 02:19:11 pm
Po prostu zastąp pacman.conf tą treścią
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
#HookDir     = /etc/pacman.d/hooks/
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/curl -L -C - -f -o %o %u
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options
#UseSyslog
#Color
#NoProgressBar
CheckSpace
#VerbosePkgLists
#ParallelDownloads = 5

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
SigLevel    = Required DatabaseOptional
LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Arch Linux
# packagers with `pacman-key --populate archlinux`.

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

#[community-testing]
#Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist

#[multilib]
#Include = /etc/pacman.d/mirrorlist

[chaotic-aur]
Include = /etc/pacman.d/chaotic-mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs
I powinno być ok.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 07, 2021, 04:21:21 pm
Ten fragment w nowym pacman.conf od @robsona75 wygląda tak:
# Misc options
#UseSyslog
#Color
#NoProgressBar      !!!!!      a u mnie w tym miejscu jest   TotalDownload
CheckSpace
#VerbosePkgLists
#ParallelDownloads = 5      !!!!!    a u mnie w tym miejscu jest   ILoveCandy

Jeszcze jedna różnica to hasztagi. U mnie są tylko przy dwu pierwszych pozycjach.
Janek - dlatego u Ciebie wygląda inaczej, albowiem masz pacman 6, a pacman.conf z pacman 5 - już o tym pisałem. Cała sekcja, którą podajesz dotyczy "Misc options", czyli w dowolnym tłumaczeniu opcji "różnych", czy "dodatkowych". To jest głównie miejsce, w którym użytkownik ustawia zachowanie pacmana. Funkcja ParallelDownlowads w sposób oczywisty u Ciebie nie występuje, skoro wprowadzona została w pacman 6. Podobnie w pacman.conf z 6 nie ma TotalDownloads, czy ILoveCandy, bo tego po prostu w tej wersji nie ma.
Hasztag jeśli jest - funkcja nie jest aktywna (pomijam komentarze); jeśli go nie ma - uaktywnia. Każdy użytkownik może w tej sekcji urządzić ją tak, jak uważa, jednakże w granicach, które są dostępne w danej wersji.

Dokonaj:
1. obecny pacman.conf - zapisz jako pacman.conf.bak (przykładowo);
2. obecny pacman.conf.pacnew - zmień mu nazwę na pacman.conf;
3. uzupełnij w ten sposób uzyskany pacman.conf o np. repozytoria, które miałeś dodatkowo ustawione w dotychczasowym pacman.conf (obecnie *.bak);
4. sprawdź wszelkie linie IgnorePkg itp. czy coś w dotychczasowym nie masz i zastanów się, czy nadal tak ma być - jeśli tak, wprowadź do nowego.

Ma działać.

Pomijając poprawność pliku Roberta, ostatnią rzeczą, którą komukolwiek mógłbym sugerować za poprawną jest przenoszenie cudzych plików konfiguracyjnych do swojego systemu. Tu nic/niewiele się nie stanie, ale to jest zasada, do której trzeba przywyknąć. Odstępstwa od niej, czyli właśnie przenoszenie czyichś plików konfiguracyjnych 1:1 są bardzo częstą przyczyną braku możliwości dalszego działania systemu. Nikt nas - chcących pracować na linuksie, w dodatku być administratorem tego systemu - nie zwolni od obowiązku myślenia. Ten system po prostu tak ma.

I na tym koniec nauki :)
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Czerwiec 07, 2021, 11:07:48 pm
Podepnę się pod wątek Janka podpięty pod inny ...
Bo mnie też ten 34-ty wers configu frapuje.
I wszystko niby rozumiem, ale :
1. Czy jak już będę ten nowy config pacmana modyfikował (czyli dodawał repo chaotic-aur, które okazało się być niezbędne), to nadal będę musiał walczyć z tymi niepojętymi dla mnie kluczami?
2. Po cholerę oni zmienili ten config, co im przeszkadzało do licha, było już tak fajnie przez chwilę, inne znane mi dystrybucje takich cudów nie robią i działają bez zarzutu przecież.
Serdecznie pozdrawiam.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 07, 2021, 11:31:40 pm
@pavbaranov
@robson75

Dobra. Dojrzałem. Tak uczynię jak radzicie.
Sprawdziłem w swoich starych "wyrzuconych". Robiliśmy już kiedyś podobny manifag i wówczas chyba właśnie od Pawła dostałem takiego gotowca [pacman.conf]. Parę lat temu ale znalazłem w starych problemach.
Do specjalnego katalogu [wyrzucone] przerzucam stary [pacman.conf], a w to miejsce wrzucam przygotowany na [Pulpicie], nowy [pacman.conf].
Dam radę. Dzięki

ZROBIONE.  Po wklejeniu nowego [pacman.conf] zrobiłem aktualizację. Komunikat o błędzie się nie pojawia. Wygląda na to, że jest OK.

Jutro zajmę się sprawą [octopi-dev] według zaleceń Pawła.
Pozdrowionka
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 07, 2021, 11:42:26 pm
@ciubaka: 1. Z jakimi kluczami? GPG? Być może się tak zdarzyć - plik pacman.conf kompletnie się z tym nie wiąże. Podobnie jak nie wiąże się z tym temat o nakładkach GUI na pacmana.
2. Po taką cholerę, że zmienili program. Dostosowali do niego plik konfiguracyjny. Jest sporo systemów, w których w ogóle nie wiedziałbyś o tym, albowiem dotychczasowy plik zostałby podmieniony nowym. To, że utraciłbyś jakąś część dotychczasowej funkcjonalności, to pomijam.
Raz jeszcze mówię: należy czytać to co pisze do nas pacman podczas instalacji paczek. I to jest porada bezwzględna. Nie chce nam się czytać, to należy zapoznać się np. z komputerami takimi jak Apple, gdzie "oni" wiedzą lepiej, co użytkownik może chcieć. Użytkownik nie ma też możliwości czegokolwiek.
Plik pacman.conf - w domyślnej konfiguracji - dostarcza dość prostą, niezbędną w wielu przypadkach, ale nie wystarczającą we wszystkich konfigurację (zob.: https://github.com/archlinux/svntogit-packages/blob/packages/pacman/trunk/pacman.conf (https://github.com/archlinux/svntogit-packages/blob/packages/pacman/trunk/pacman.conf)). Administrator systemu może sobie ją zmienić, choćby przez uruchomienie repozytoriów multilib, które są domyślnie wyłączone (dlaczego? cóż, mamy już 3 dekadę XXI w.), bo są one komuś potrzebne z uwagi na używane oprogramowanie. Można do tego pliku dodać repozytoria dodatkowe (nie - w żadnym wypadku chaotic-aur nie jest niezbędny, a stosowanie jakiegokolwiek repozytorium nieoficjalnego - bez żadnej refleksji - zwłaszcza, aktualizowanego w swoim rytmie, niezależnie od zmian wprowadzanych w głównych repozytoriach, a nawet niezależnie od zmian w aktualizacjach w AUR, na którym w 99% to repozytorium się opiera) jest proszeniem się o błędy w systemie. Prędzej czy później. W zależności od doniosłości oprogramowania z takiego repozytorium dla naszego systemu - przejawią się one w niedziałaniu programu (tu pamac), albo w destabilizacji całego systemu do braku możliwości jego wystartowania włącznie.
Inne systemy nie są Archem. Arch jest prosty. Jest stabilny (najstabilniejsza dystrybucja, jakiej używałem przez okres z górą 15 lat). Niestety - wymaga od użytkownika zaangażowania, przede wszystkim wyrażającego się w zrozumieniu mechanizmów, które tu rządzą. To zaledwie 5 (o liczbę proszę się nie czepiać) reguł na krzyż. Pierwsza zasadnicza, brzmi: Arch daje Ci (użytkownikowi) możliwość używania Archa, ale nie zapewni Ci tej możliwości. W miejsce tego ostatniego da możliwość takiego dostosowania go do siebie, aby system jak najbardziej Tobie odpowiadał, a nie jak to jest w większości dystrybucji odpowiadał osobom, które je przygotowują. Niestety - coś za coś. Ja takiej dystrybucji szukałem kilka ładnych lat, ale mnóstwo osób nie zgodzi się z takim podejściem i dla nich są różnorakie dystrybucje gdzie za użytkownika myśli zespół osób, które taką dystrybucję rozwijają.
Wracając do Twojego pytania o TotalDownload - raz jeszcze powtarzam: ta opcja nie występuje obecnie w pacman 6. Jej pozostawienie nie spowoduje, że system wraz z komputerem wybuchnie, przez co staniesz się terrorystą, ale jest po prostu zbędna i należy ją usunąć. W miejsce (proszę nie rozumieć tego jako "zamiennik") mamy np. możliwość uruchomienia tzw. ParralelDownloads, czyli równoczesnego pobierania kilku paczek, wraz z możliwością zdefiniowania ile ich może być pobieranych, co winno przyspieszyć ich instalację czy aktualizację systemu (dawniej takie coś zapewniało np. podpięcie pod pacmana aria2 - teraz to jest wbudowane w pacman).
I stety dla wszystkich i niestety dla Ciebie - tej filozofii dostarczania plików conf (i nie tylko) w Archu nie zmienisz. Jest ona zresztą bardzo dobra, pod jednym wszak warunkiem - narzędzia, których używasz, nie powodują "przykrycia" wiadomości przekazywanych przez pacmana. Dodatkowe warunki, to jeśli się zapomniało o przeczytaniu/program (czyli jakieś GUI) nie pokazuje tego, to sprawdzić czy w systemie nie istnieje jakiś pacnew, nieużywane kasować, a przede wszystkim zmieniać na te nowe.
Skoro się rozgadałem, a temat o GUI dla pacman (i okolic) - nie wszystkie, ale niektóre (i nie wiem, czy do tej pory tak jest) GUI nie informowały o tym, że jakaś paczka instalowana będzie bez opcjonalnych zależności. Potem natomiast zgrzyt - "nie działa XYZ". No nie będzie działać, albowiem nie musi. Taka to filozofia w Archu jest. Paczki opcjonalne mogą być istotne z punktu widzenia użytkownika, ale nie są istotne z punktu widzenia kompilacji programu oraz nie są wymagane do tego, by taka aplikacja poprawnie działała (czyli po jej wywołaniu otworzyła się, a po zakończeniu swego działania, prawidłowo wyłączyła). To, że np. nie będzie miała określonej funkcjonalności pożądanej przez użytkownika, to już sprawa odrębna. Podczas normalnej instalacji takiej paczki (czyli w konsoli) - użytkownik zawsze otrzyma listę opcjonalnych zależności, co winno nastąpić wraz z opisem ich funkcji (czyli coś w rodzaju: X opcjonalnie wymaga instalacji Y, które służy do Z) i to do użytkownika winno należeć, czy i które z tych opcjonalnych zależności chce zainstalować.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 07, 2021, 11:47:50 pm
1. Czy jak już będę ten nowy config pacmana modyfikował (czyli dodawał repo chaotic-aur, które okazało się być niezbędne), to nadal będę musiał walczyć z tymi niepojętymi dla mnie kluczami?
Nie, nie musisz po raz drugi dodawać kluczy, bo one siedzą w /etc/pacman.d/gnupg, a pacman.conf nie ma z tym nic wspólnego.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Czerwiec 08, 2021, 10:57:34 am
Dobra, dzięki, spróbuję to zmienić i zamelduję co wyszło.
Pozdrawiam.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 11, 2021, 01:59:43 pm
Chciałem poinformować że w repo chaotic-aur jest już dostępny, naprawiony pamac-aur.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 11, 2021, 02:42:46 pm
@robson75
@pavbaranov

Dzięki za info o Pamacu. Miałem poprzednio Pamac-classic, ale skoro się wysypał, czas na przyzwyczajenie sie do Octopi.
Zainstalowałem Octopi według porady Pawła, czyli

[pak -SA alpm_octopi_utils-dev]
a po instalacji
[pak -SA octopi-dev]

Na koniec doinstalowałem za pomocą Octopi:
[octopi-notifier-qt5.]

Znów wszystko mi chodzi pięknie, chociaż pamac-classic (według mnie) był ładniejszy graficznie. Ale to akurat najmniej ważne.

Aha.... usunąłem wkurzające mnie [Pakiety] czyli [gnome-packagekit]. Jest ulga.
Niestety pozycja [Pakiety] pozostała w [/Menu/System/Pakiety] chociaż po kliknięciu pokazuje się informacja, że pozycji nie ma. Nie wiem jak usunąć, ale to już chyba nie jest wielki problem. 


Dzięki za pomoc.
Zdrowia.


Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 11, 2021, 03:28:06 pm
Pamac-classic to jest zupełnie inna bajka niż pamac-aur.
Niejaki Cromer, czyli deweloper pamac-classic napisał
https://git.cromer.cl/cromer/pamac-classic/issues/9 (https://git.cromer.cl/cromer/pamac-classic/issues/9)
Czyli przystosowanie go do nowego pacmana może trochę potrwać.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 11, 2021, 04:48:55 pm
Niestety pozycja [Pakiety] pozostała w [/Menu/System/Pakiety] chociaż po kliknięciu pokazuje się informacja, że pozycji nie ma. Nie wiem jak usunąć, ale to już chyba nie jest wielki problem.
A sprawdź w
/home/.local/share/applicationsczy tam nie siedzi. Jeżeli tak, to wystarczy usunąć.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: ciubaka w Czerwiec 14, 2021, 08:14:10 am
Podmiana pliku pamac.config wg opisu Pawła pomogła. Nie ma błędu wersu 34, wszystko działa. Dodanie repo chaotic-aur tak jak pisał Robert nie wymaga kluczy. Jest znowu fajnie. Octopi  działa. Pamac nadal nie, bo pozostawiłem jednak te pogardzane tutaj Pakiety. Ale skoro twórca Anarchy je tu wsadził to niech sobie będą, on wie po co to zrobił, nie bez powodu pewnie przecież. Dziękuję i pozdrawiam.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 14, 2021, 12:13:21 pm
Octopi  działa. Pamac nadal nie
Pamac-classic nie działa, ale już pamac-aur działa.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 21, 2021, 05:26:23 pm
FAŁSZYWY ALARM.
WYCOFUJĘ PONIŻSZE. PO RESECIE OCTOPI ZGŁOSIŁO SIĘ NA ZIELONO.


Mam Archa XFCE na laptopie Asus

Po wierzgnięciu Pamaca mam zainstalowane Octopi. Do dziś było OK, ale właśnie dziś po aktualizacji (bardzo niewielkiej)  robionej Pacmanem i Pak-iem, Octopi pokazuje mi, że jest aktualizacja.
Bardzo niewielka bo 6 pakietów ma 00,0 B (??), ale jest i świeci mi się na czerwono.
Dlatego robiłem aktualizację mirrorów Reflectorem, ale Reflector pokazywał mi ostrzeżenia, że pobieranie w dwóch przypadkach się nie powiodło, bo został przekroczony czas oczekiwania.
No, to  zaktualizowałem mirrory poleceniem [pak -m --disable-download-timeout] i mi powiedział, że zaktualizowano.
Następnie poleciłem[pacman -Sy] i następnie [pacman -Su]. Aktualizacja przebiegła pomyślnie ale Octopi świeci mi na czerwono. Pomyślałem, że może w tzw. międzyczasie, coś się pojawiło, więc zrobiłem następną aktualizację [pak -Syu --disable-download-timeout].
Po aktualizacji Pak-iem mam informację, że nie ma nic do zrobienia, a Octopi twierdzi coś innego.

 Octopi świeci na czerwono i pokazuje 6 plików do aktualizacji. Wygląda to tak :

informacja Pak-a :

pak -Syu --disable-download-timeout         

:: Synchronizowanie baz danych z pakietami…
 core is up to date
 extra is up to date
 community is up to date
 chaotic-aur is up to date
:: Rozpoczynanie pełnej aktualizacji systemu…
 nie ma nic do zrobienia


informacja Octopi :

chaotic-mirrorlist-20210620-1
graphviz-2.47.3-1
libconfig-1.7.3-1
libhandy-1.2.3-1
libva-2.12.0-1
qt5-base-5.15.2+kde+r199-1


W zasadzie niby nic, ale niepokoi.
Czy powinienem przyklepywać aktualizację Octopi, czy ignorować?

FAŁSZYWY ALARM. PO RESECIE OCTOPI ZGŁOSIŁO SIĘ NA ZIELONO.



Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 21, 2021, 06:11:41 pm
Weź wykonaj polecenie
pak -mpacman -Syu
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 22, 2021, 02:16:21 am
Dziwny problem i wygląda na jakiś problem z octopi/octopi-notifier. Jeśli wystąpi ponownie, to masz proste rozwiązanie:
pak -Q nazwa_paczki i sprawdź w jakich wersjach masz w systemie. Jeśli te, które podaje do aktualizacji octopi, to należałoby problem zgłosić. Inna sprawa, że mieszasz menedżery paczek.
PS: Dobra rada: uruchom sobie notyfikacje o nowych paczkach w pak i będzie po kłopocie.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Czerwiec 22, 2021, 12:47:23 pm
Jak pisze Paweł, najlepszym sposobem do powiadamiania o aktualizacjach jest pak, wystarczy zainstalować auracle-git i aktywować
Powiadomienia o aktualizacjach
systemctl --user enable --now pak-checkupdates.timerPowiadomienia o nowej wersji paczki w AUR
systemctl --user enable --now pak-auracle.timerChociaż osobiście mam tylko włączoną drugą pozycje, bo o aktualizacjach powiadamia mnie conky.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 22, 2021, 02:35:00 pm
Gwoli ścisłości - auracle-git nie jest niezbędne dla notyfikacji co najmniej z repo i z POLAUR. O ile pamiętam, wyłącznie dla AUR (jak na razie).
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: Piejanto w Czerwiec 24, 2021, 01:15:19 pm
@pavbaranov
@robson75

W sprawie dziwnego problemu z Octopi.
Napisałem, bo się z tym spotkałem. Następny taki problem-nieproblem, to zauważyłem, że Octopi często zgłasza mi nowe aktualizacje, dopiero po tym, jak już wklepałem [pak -Syu],  a wcześniej świeci na zielono.
W zasadzie nie jest to żaden problem, bo pilnuję tych aktualizacji jak oka w głowie i jak już zauważyłem, że dwa dni Octopi nie zgłaszało nowych aktualizacji, to teraz po prostu codziennie kończę pracę poleceniami
[pak -m]
[pak -Syu]

Zastanawia nie tylko dlaczego tak mi się posypało poprzednio, ale o tym "bąknę" nieśmiało w temacie z "problemu aktualizacji lib32". Mam pewne podejrzenia, ale tu nie miejsce na to.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: pavbaranov w Czerwiec 24, 2021, 01:33:15 pm
Octopi często zgłasza mi nowe aktualizacje, dopiero po tym, jak już wklepałem [pak -Syu],  a wcześniej świeci na zielono.
Po prostu jest to kwestia czasu aktualizacji bazy danych przez octopi. Jeśli wcześniej tę bazę zaktualizujesz, to oczywiste, że octopi wówczas zgłosi, że jest coś do aktualizacji. Jeśli nie - to czeka spokojnie na swój czas.
Tytuł: Odp: Menadżer pakietów w trybie graficznym
Wiadomość wysłana przez: robson75 w Lipiec 10, 2021, 11:05:01 pm
Chciałem poinformować, że dzisiaj został naprawiony pamac-classic.
https://aur.archlinux.org/packages/pamac-classic/ (https://aur.archlinux.org/packages/pamac-classic/)